# mwx::bigendian

Helper class for `mwx::stream` `<<` operator to output numeric types as big-endian byte strings.

```cpp
Serial << mwx::bigendian(0x1234abcdUL);

// output binary -> 0x12 0x34 0xab 0xcd
```

### constructor

```cpp
template <typename T>
bigendian::bigendian(T v)
```

| Parameters | Description                              |
| ---------- | ---------------------------------------- |
| `v`        | a value of type `uint16_t` or `uint32_t` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mwx.twelite.info/latest_en/api-reference/classes/twe-stream/twe-bigendian.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
